%?mingw_package_header

%global name2 openocd
%global name1 ax%{name2}
Name:           mingw-%{name1}
Version:        0.10.0
Release:        1%{?dist}
Summary:        MinGW Debugging, in-system programming and boundary-scan testing for embedded devices

Group:          Development/Tools
License:        GPLv2
URL:            http://sourceforge.net/projects/openocd
Source0:        http://downloads.sourceforge.net/project/%{name2}/%{name2}/%{version}/%{name2}-%{version}+dev.tar.bz2
Patch0:         openocd-sdcc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw64-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-hidapi
BuildRequires:  mingw64-hidapi
BuildRequires:  mingw32-libusbx
BuildRequires:  mingw64-libusbx
BuildRequires:  mingw32-libftdi
BuildRequires:  mingw64-libftdi
BuildRequires:  mingw32-jimtcl
BuildRequires:  mingw64-jimtcl
BuildRequires:  sdcc
BuildRequires:  texinfo

%description
The Open On-Chip Debugger (OpenOCD) provides debugging, in-system programming 
and boundary-scan testing for embedded devices. Various different boards, 
targets, and interfaces are supported to ease development time.

Install OpenOCD if you are looking for an open source solution for hardware 
debugging.

%package -n mingw32-%{name1}
Summary:        MinGW Debugging, in-system programming and boundary-scan testing for embedded devices

%description -n mingw32-%{name1}
The Open On-Chip Debugger (OpenOCD) provides debugging, in-system programming 
and boundary-scan testing for embedded devices. Various different boards, 
targets, and interfaces are supported to ease development time.

Install OpenOCD if you are looking for an open source solution for hardware 
debugging.

%package -n mingw64-%{name1}
Summary:        MinGW Debugging, in-system programming and boundary-scan testing for embedded devices

%description -n mingw64-%{name1}
The Open On-Chip Debugger (OpenOCD) provides debugging, in-system programming 
and boundary-scan testing for embedded devices. Various different boards, 
targets, and interfaces are supported to ease development time.

Install OpenOCD if you are looking for an open source solution for hardware 
debugging.

%{?mingw_debug_package}

%prep
%setup -q -n %{name2}-%{version}+dev
%patch0
rm -rf jimtcl
rm -f src/jtag/drivers/OpenULINK/ulink_firmware.hex
cd doc
iconv -f iso8859-1 -t utf-8 openocd.info > openocd.info.conv
mv -f openocd.info.conv openocd.info

%build
pushd src/jtag/drivers/OpenULINK
make hex
popd

%mingw_configure \
  --disable-werror \
  --enable-static \
  --disable-shared \
  --enable-dummy \
  --enable-ftdi \
  --enable-stlink \
  --enable-ti-icdi \
  --enable-ulink \
  --enable-usb-blaster-2 \
  --enable-jlink \
  --enable-osbdm \
  --enable-opendous \
  --enable-aice \
  --enable-vsllink \
  --disable-usbprog \
  --disable-rlink \
  --disable-armjtagew \
  --enable-cmsis-dap \
  --enable-parport \
  --enable-parport_ppdev \
  --enable-jtag_vpi \
  --enable-usb_blaster_libftdi \
  --enable-amtjtagaccel \
  --disable-ioutil \
  --enable-ep39xx \
  --enable-at91rm9200 \
  --enable-gw16012 \
  --enable-presto_libftdi \
  --enable-openjtag_ftdi \
  --disable-oocd_trace \
  --disable-buspirate \
  --disable-sysfsgpio \
  --enable-remote-bitbang \
  --disable-internal-jimtcl \
  --disable-doxygen-html \
  CROSS=
%mingw_make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%mingw_make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -rf %{buildroot}/%{mingw32_datadir}/%{name2}/contrib
rm -rf %{buildroot}/%{mingw64_datadir}/%{name2}/contrib
rm -f %{buildroot}/%{mingw32_infodir}/dir
rm -f %{buildroot}/%{mingw64_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%files -n mingw32-%{name1}
%defattr(-,root,root,-)
%license COPYING
%doc README AUTHORS ChangeLog NEWS TODO
%{mingw32_datadir}/%{name2}
%{mingw32_bindir}/%{name2}.exe
%{mingw32_infodir}/%{name2}.info*
%{mingw32_mandir}/man1/*

%files -n mingw64-%{name1}
%defattr(-,root,root,-)
%license COPYING
%doc README AUTHORS ChangeLog NEWS TODO
%{mingw64_datadir}/%{name2}
%{mingw64_bindir}/%{name2}.exe
%{mingw64_infodir}/%{name2}.info*
%{mingw64_mandir}/man1/*

%changelog
* Fri Feb 03 2017 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.10.0-1
- Initial Specfile
